> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trial Balance



## OpenAPI

````yaml /api/openapi-finindex.json get /api/v1/gl/trial-balance
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/gl/trial-balance:
    get:
      tags:
        - GL
      summary: Trial Balance
      operationId: trial_balance_api_v1_gl_trial_balance_get
      parameters:
        - name: asOf
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Asof
        - name: periodId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Periodid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrialBalanceResponse'
        '401':
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    TrialBalanceResponse:
      properties:
        asOf:
          anyOf:
            - type: string
            - type: 'null'
          title: Asof
        periodId:
          anyOf:
            - type: string
            - type: 'null'
          title: Periodid
        accounts:
          items:
            $ref: '#/components/schemas/TrialBalanceRow'
          type: array
          title: Accounts
        totalDebit:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Totaldebit
        totalCredit:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Totalcredit
        balanced:
          type: boolean
          title: Balanced
      type: object
      required:
        - accounts
        - totalDebit
        - totalCredit
        - balanced
      title: TrialBalanceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TrialBalanceRow:
      properties:
        accountId:
          type: string
          title: Accountid
        code:
          type: string
          title: Code
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        totalDebit:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Totaldebit
        totalCredit:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Totalcredit
        balance:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Balance
      type: object
      required:
        - accountId
        - code
        - name
        - type
        - totalDebit
        - totalCredit
        - balance
      title: TrialBalanceRow
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````